#! /usr/bin/perl -w

use strict;
use FileHandle;

my @rsync = (qw(rsync --progress --delete -al));

require "imgconvert_upload.pl.conf";

my $updir=$Conf::STAGE_DIR;

push @rsync, $Conf::MAIN_DIR . "/.";
push @rsync, ".";
chdir($updir);

print(join(" ", @rsync), "\n");
system(@rsync);

open(HEAD, "< index_head.html") || die "open: $!\n";
open(OUT,  "> index.html")      || die "open: $!\n";

while (<HEAD>) { print OUT; }

OUT->print("\n<lu>\n");

my @dirs = grep { -d $_ } <*>;

for my $i (@dirs)
{
  print("IMG converting directory: $i\n");
  chdir("$updir/$i");
  system("../imgconvert.pl");
  my $url_i = $i;
  $url_i =~ s/([^[:alnum:]_.:])/sprintf("%%%02x", ord($1))/eg;
  OUT->print(<<EOL);
<li><a href="$url_i">$i</a></li>
EOL
}

my $d = `date`;

OUT->print(<<EOL);
</ul>
    <hr>
    <address><a href="$Conf::AUTHOR_EMAIL">$Conf::AUTHOR_NAME</a></address>
<!-- Created: $Conf::CREATE_DATE -->
<!-- hhmts start -->
Last modified: $d
<!-- hhmts end -->
  </body>
</html>

EOL

